Bug 1928 - descriptive error message for missing rpm-build
: descriptive error message for missing rpm-build
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libpopt)
: unstable
: all Linux
: P4 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-13 21:43 by
Modified: 2004-05-21 17:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-13 21:43:47
When rpm-build package is not installed, \"rpm -ba\" gives
\"file not found\" error message which confuses most people. Why, it
gives no idea on which file was not found. Thus one has to run strace.
---

---
------- Comment #1 From 2003-01-16 15:46:34 -------
Another confusing message (when rpmb is not available) is:
$ rpm --version -ba existing.spec
------- Comment #2 From 2003-01-16 15:46:34 -------
Another confusing message (when rpmb is not available) is:
$ rpm --version -ba existing.spec
------- Comment #3 From 2003-03-27 00:40:10 -------
It\'s _quite_ confusing: e.g. Vladimir Bormotov got caught by an example too. 
Well, I was stupid enough a couple of times too.
------- Comment #4 From 2003-03-27 00:40:10 -------
It\'s _quite_ confusing: e.g. Vladimir Bormotov got caught by an example too. 
Well, I was stupid enough a couple of times too.
------- Comment #5 From 2004-01-17 22:05:52 -------
*** Bug 3505 has been marked as a duplicate of this bug. ***
------- Comment #6 From 2004-05-16 01:07:17 -------
I look at source code of rpm (4.0.4-alt37) and find this incorrect(?) string in
rpmqv.c:630

argerror("--buildroot may only be used during package builds");

may be must be: 

argerror(_("--buildroot may only be used during package builds"));

or I'm not right? May be this solve problem with this confused message...(?)
------- Comment #7 From 2004-05-16 02:43:14 -------
No, this message is unrelated to the problem.
------- Comment #8 From 2004-05-21 16:59:04 -------
To more appropriate package.
------- Comment #9 From 2004-05-21 17:00:05 -------
Fixed in libpopt-1.7-alt12.